require.config({
  paths: {
    'xwiki-selectize': "../../../resources/uicomponents/suggest/xwiki.selectize.js" +
      "?v=11.5"
  }
});

require(['jquery', 'xwiki-selectize'], function($) {
  'use strict';

  var getSelectizeOptions = function(select) {
   return {
    create: true
   }
  };

  $.fn.suggestPropertyValues = function() {
    return this.each(function() {
      $(this).xwikiSelectize(getSelectizeOptions($(this)));
    });
  };

  $('.suggest-columns').suggestPropertyValues();
});
